# Get keywords in the template

Debugging Tools

Interface should be called on the server side, not in the front end (Weixin Mini Program, web pages, APP, etc.) directly called, specific reference interface call guide

Interface name: getpubnewtemplatekeywords

This interface is used to obtain a list of keywords under the template title.

# 1. How to call

# HTTPS calls

GET https://api.weixin.qq.com/wxaapi/newtmpl/getpubtemplatekeywords?access_token=ACCESS_TOKEN&tid=TID

# Cloud Calls

  • Call method: subscribeMessage.getPubTemplateKeyWordsById

  • The input and exit parameters are the same as the HTTPS call, which can be called in the cloud call documentation

# Third party invocation

  • This interface supports Third Party Platform generation business call.

  • This interface belongs to the permission set id: 18,89

  • When a service provider is authorized by one of the permissions set, it can call on behalf of the merchant by using authorizer_access_token , which can be viewed in the third-party call documentation.

# 2. Request parameters

# Query parametersQuery String parameters

Parameter NametypeRequired to fill inIntroductions
access_tokenstringyesInterface invocation credentials, using access_token , authorizer_access_token
tidstringyesTemplate title id, available via interface

# Request BodyRequest Payload

nothing

# 3. Return Parameters

# Response Payload

Parameter NametypeIntroductions
errcodenumberError code
errmsgstringError message
countnumberTotal list of template titles
dataobjarrayList of Keywords

# Res.data(Array)Object Payload

List of Keywords

Parameter NametypeIntroductions
kidnumberKeyword id, need to choose template
namestringKeywords content
examplestringExamples of keyword content corresponding
rulestringParameter Type

# 4. Note

There are no special considerations for this interface

# 5. Code examples

# 5.1 Sample HTTPS Request

Example Requests

https://api.weixin.qq.com/wxaapi/newtmpl/getpubtemplatekeywords?access_token=ACCESS_TOKEN&tid=99

Return an example

{
  "errcode": 0,
  "errmsg": "ok",
  "data": [
    {
      "kid": 1,
      "name": "物品名称",
      "example": "名称",
      "rule": "thing"
    }
  ]
}

# 5.2 Cloud function call example

Example Requests

const cloud = require('wx-server-sdk')
cloud.init({
  env: cloud.DYNAMIC_CURRENT_ENV,
})
exports.main = async (event, context) => {
  try {
    const result = await cloud.openapi.subscribeMessage.getPubTemplateKeyWordsById({
        "tid": ''
      })
    return result
  } catch (err) {
    return err
  }
}

Return an example

{
  "errCode": 0,
  "errMsg": "openapi.subscribeMessage.getPubTemplateKeyWordsById:ok",
  "data": [
    {
      "kid": 1,
      "name": "物品名称",
      "example": "名称",
      "rule": "thing"
    }
  ]
}

# 6. Error code

The following is a list of error codes for this interface, other error codes can refer to General error codes

Error codeError DescriptionSolutions
20001A system error
40001invalid credential  access_token isinvalid or not latestAppSecret error while getting access_token, or access_token is invalid.Developers should check that AppSecret is correct, or that they are calling interfaces for the appropriate Official Account
200002Insert Reference Error
200014Template tid parameter error

# 7. Scope of application

How this interface can be invoked under different account types:
Weixin Mini Program Official Account Service Account MiniGame
Certification only Certification only
  • ✔: The account can call this interface
  • Authentication only: means that only authenticated accounts are allowed to be invoked by the enterprise entity, and accounts that are not authenticated or do not support authentication cannot be invoked.
  • Other account types that are not expressly stated may not be called on this interface without special instructions;